---
title: Getting Started Tutorials
---

These tutorials are intended to help you get started with Databend:

## Deploying Databend

* [Understanding Deployment Modes](../10-deploy/00-understanding-deployment-modes.md)
* [Deploying a Standalone Databend](../10-deploy/02-deploying-databend.md)
* [Expanding a Standalone Databend](../10-deploy/03-expanding-to-a-databend-cluster.md)
* [Deploying a Query Cluster on Kubernetes](../10-deploy/04-deploying-databend-on-kubernetes.md)
* [Deploying a Local Databend (for Non-Production Use)](../10-deploy/05-deploying-local.md)
* [Databend Cloud (Beta)](../02-cloud/index.md)

## Connecting to Databend

* [How to Connect Databend with MySQL Client](../11-integrations/00-api/01-mysql-handler.md)
* [How to Connect Databend with ClickHouse Client](../11-integrations/00-api/02-clickhouse-handler.md)
* [How to Connect Databend with REST API](../11-integrations/00-api/00-rest.md)
* [How to Connect Databend with DBeaver SQL IDE](../11-integrations/20-gui-tool/01-dbeaver.md)
* [How to Execute Queries in Python](../20-develop/01-python.md)
* [How to Query Databend in Jupyter Notebooks](../11-integrations/20-gui-tool/00-jupyter.md)
* [How to Execute Queries in Golang](../20-develop/00-golang.md)
* [How to Execute Queries in Node.js](../20-develop/02-nodejs.md)

## Loading Data into Databend

* [How to Load Data from Databend Stages](../12-load-data/00-stage.md)
* [How to Load Data from Amazon S3](../12-load-data/01-s3.md)
* [How to Load Data from Local File System](../12-load-data/02-local.md)
* [How to Load Data from Remote Files](../12-load-data/04-http.md)

## Managing Users

* [How to Create a User](../14-sql-commands/00-ddl/30-user/01-user-create-user.md)
* [How to Grant Privileges to a User](../14-sql-commands/00-ddl/30-user/10-grant-privileges.md)
* [How to Revoke Privileges from a User](../14-sql-commands/00-ddl/30-user/11-revoke-privileges.md)
* [How to Create a Role](../14-sql-commands/00-ddl/30-user/04-user-create-role.md)
* [How to Grant Privileges to a Role](../14-sql-commands/00-ddl/30-user/10-grant-privileges.md)
* [How to Grant Role to a User](../14-sql-commands/00-ddl/30-user/20-grant-role.md)
* [How to Revoke Role from a User](../14-sql-commands/00-ddl/30-user/21-revoke-role.md)

## Managing Databases

* [How to Create a Database](../14-sql-commands/00-ddl/10-database/ddl-create-database.md)
* [How to Drop a Database](../14-sql-commands/00-ddl/10-database/ddl-drop-database.md)

## Managing Tables

* [How to Create a Table](../14-sql-commands/00-ddl/20-table/10-ddl-create-table.md)
* [How to Drop a Table](../14-sql-commands/00-ddl/20-table/20-ddl-drop-table.md)
* [How to Rename a Table](../14-sql-commands/00-ddl/20-table/30-ddl-rename-table.md)
* [How to Truncate a Table](../14-sql-commands/00-ddl/20-table/40-ddl-truncate-table.md)

## Managing Views

* [How to Create a View](../14-sql-commands/00-ddl/60-view/ddl-create-view.md)
* [How to Drop a View](../14-sql-commands/00-ddl/60-view/ddl-drop-view.md)
* [How to Alter a View](../14-sql-commands/00-ddl/60-view/ddl-alter-view.md)

## Managing User-Defined Functions

* [How to Create a User-Defined Function](../14-sql-commands/00-ddl/50-udf/ddl-create-function.md)
* [How to Drop a User-Defined Function](../14-sql-commands/00-ddl/50-udf/ddl-drop-function.md)
* [How to Alter a User-Defined Function](../14-sql-commands/00-ddl/50-udf/ddl-alter-function.md)

## Backup & Restore

* [How to Back Up Meta Data](../10-deploy/06-metasrv/30-metasrv-backup-restore.md)
* [How to Back Up Databases](../10-deploy/08-backup-restore/10-backup-and-restore-schema.md)

## Use Cases

* [How to Analyze Nginx Access Logs with Databend](../21-use-cases/02-analyze-nginx-logs-with-databend-and-vector.md)
* [How to Do User Retention Analysis with Databend](../21-use-cases/03-analyze-user-retention-with-databend.md)
* [How to Do Conversion Funnel Analysis with Databend](../21-use-cases/04-analyze-funnel-with-databend.md)

## Performance

* [How to Benchmark Databend](../21-use-cases/01-analyze-ontime-with-databend-on-ec2-and-s3.md)